<%

    #
    #  Copyright (C) 2001, 2002 MIT
    #
    #  This file is part of dotLRN.
    #
    #  dotLRN is free software; you can redistribute it and/or modify it under the
    #  terms of the GNU General Public License as published by the Free Software
    #  Foundation; either version 2 of the License, or (at your option) any later
    #  version.
    #
    #  dotLRN is distributed in the hope that it will be useful, but WITHOUT ANY
    #  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
    #  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
    #  details.
    #

%>

<master>
<property name="title">#dotlrn.help#</property>

<font face="Verdana, Arial, Helvetica, sans-serif"> 
<H1> 
  <center>
    Group Administrator FAQ 
  </center>
</H1>
<p> 
  <center>
    (For user information, please read the Help page in your Control Panel) 
  </center>
<p>This FAQ contains these sections: 
<p><a href="../Members"><b>Dealing with Members</b></a><br>
  <a href="../Content"><b>Managing Content</b></a><br>
  <b><a href="../Next%20Term">Preparing for Next Term </a></b> 
<p>
If your question is not answered, please email your site administrator.
<p>
<H2><a name="Members">Dealing with Members</a></H2>
<b>Q. Who will have access to my dotlearn class?</b><br>
A. The default enrollment policy setting for new classes is "open" and any registered 
user can join the class.  If you are concerned about who 
is accessing your class, you have a couple of options: 1) "close" your enrollment 
policy and manually add only officially registered students to the class; 2) set 
the enrollment policy to "needs approval" so that any user can request membership. 
You can then approve or deny access through the Manage Membership page (off the 
Control Panel). All class administrators will also receive an email notification 
every time a user requests to join the class.<br>
<p> <b> Q: I am a TA and there are several cross-registered students in my class. 
  How can they get access to the materials in dotlearn? </b><br>
  A: Non-institution students cannot have full access to dotlearn, but they can 
  have access to the class materials. However, non-Sloan students should not self-register 
  for an account. You can create Limited Access user accounts for cross-registered 
  students through the "Create a Limited Access user" link in the Control Panel. 
  If someone already has an account in the system, you will receive a message 
  that they are already in the system when you try to create an account for them. 
  In that case, add them to the class or community through the "Manage Membership" 
  page link.<br>
<p> <b>Q. How do institution students get access to dotlearn?</b><br>
  A. Any current institution member can self-register for an account. Please tell your students 
  to register at the login page by entering their current email address and a password 
  of their choice. After they submit the login and complete the registration page, 
  their account will be approved within one business day. <br>
<p> <b>Q: How can I keep unregistered students or non-members from getting in 
  the class or community?</b> <br>
  A: Go to the Control Panel page for the class or community and change the Enrollment 
  Policy to "closed" or "needs approval." Closed makes the group invisible to 
  all but its members -- it will no longer be listed on the Join a Group page. 
  "Needs Approval" means that users can request membership from the Join a Group 
  page. You will receive an email from the user asking for approval. <br>
<p> <b>Q: How do students and members join if the group enrollment is closed?</b> 
  <br>
  A: The only way to add users to a closed group is to add their names one at 
  a time. Go to the group's Control Panel page and go to the Manage Membership 
  link. Click the Add a Student link, type in their email name or last name, select 
  the user from the list of names returned and confirm the choice. If they are 
  not already registered in the system, you can't add them to the group until 
  they register, but if they are cross-registered students or non-MIT people, 
  you should create Limited Access users accounts for them (through the Control 
  Panel).<br>
<p> <b>Q: How can I let non-institution people have access to my community? </b><br>
  A: You can add them as Limited Access users or guests. Limited Access users 
  have full access to the group, but cannot join other dotlearn groups; Limited 
  Access Guests have limited access to your group (they do not see other users' 
  personal information) and cannot join other groups. Assign non-institution students 
  Limited Access accounts and non-institution people (speakers, guest lecturers, 
  colleagues) Limited Access Guest accounts. <br>
<p> <b>Q. I am managing a community and some of our members are from outside my institution, 
so they cannot see information about other members, or participate in forums 
  or surveys. We want them to have full access to just our community. What can 
  we do?</b><br>
  A. This is happening because the default privacy setting for groups does not 
  allow Guests to see information about other students. If you need this setting 
  changed for your group, send email to your site administrator. Include 
  the name of your community and ask that your Guests be allowed to read personal 
  information. Also, please let us know if you have any subgroups that also need 
  to be set up this way. Each time a new subgroup is created, you will (unfortunately) 
  need to email us to change the default privacy setting.<br>
<p> <b>Q: How do users change their passwords? </b><br>
  A: Full access users (current students, faculty, staff and alumni) can 
  change their passwords through their Control Panel page in their personal portal. 
  Limited Access users and Limited Access Guests (cross-registered students and 
  non-institution people) can access their Control Panel page through the Help icon in 
  the page banner.</p>
<p>
<H2><a name="Members">Managing Content</a></H2>
<br>
<b>Q. Do all the administrators of the class have the same privileges?</b> <br>
A. Yes, all administrator roles have full control over the content and membership 
of the community.<br>
<p> <b>Q. I don't see survey listed on the Control Panel? What do I do?</b> <br>
  A. Survey is not added by default to classes, communities and subgroups. Go 
  to the Control Panel page, and on the left hand column, click on "Manage Applets" 
  and Add the survey package. Then, return to the Control Panel and you will see 
  Survey Administration > New Survey listed as an option.<br>
<p> <b>Q. I created a subgroup, but no one can see it. What do I do?</b> <br>
  A. It may be that the subgroup has a closed enrollment policy, so you can either 
  add the members yourself or open the enrollment policy and allow members of 
  the "parent" group to self-join.<br>
<p> <b>Q. How do I delete a subgroup? </b><br>
  A. Subgroups cannot be deleted, but you can "hide"them by closing the enrollment 
  policy and removing any existing members. You can archive the subgroup, but 
  if you do, it cannot be unarchived.<br>
<p> <b>Q: I created a forum and it sends email alerts to all group members. How 
  do I shut this off? How can an individual user shut them off?</b> <br>
  A: Each user must manage forum alerts through the "Edit My Notifications" page 
  on the user Control Panel. Users can also subscribe to/unsubscribe from forum 
  alerts at the top level page of an individual forum.<br>
<p> <b>Q: Note about Forums and email away messages. </b><br>
  A: If a user activates an automated vacation/away message, all their forums 
  will get caught in a loop of emails. To prevent this, advise students to cancel 
  all their forum email alerts before going away. If this happens while they are 
  away, you will have to remove the user from your group to stop the looping. 
</p>
<H2><a name="Next Term">Preparing for Next Term</a></H2>
<br>
  <b>Q. What happens to my class at the end of the semester?</b><br>
  A. At the end of the semester, all classes are closed to further enrollment, 
  but the student and administrator members are left in place. Because you are 
  not removed from the class, you will see it listed in your Groups portlet (on 
  your My Space page), but it is closed and cannot be accessed by non-members. 
  If you wish to have all student members removed, please request this by sending 
  an email to your site administrator. <br>
  <p>
  <b>Q. How do I request a class site for next term?</b><br>
  A. In preparing for next term, there are two choices: 1) to copy a class from 
  a previous term or 2) start with an empty class shell. Copying carries over 
  customization - portlets and layout - and file storage content, and removes 
  all previous class members. To request a new shell or a copies class, send email 
  to your site administrator explaining what you want. If copying, please 
  specify the term of the previous class. Also, please include the names and emails 
  of the class administrators, so that they can be added to the new class. <br>
  <p>
  <b>Q. How do I request a new community?</b> <br>
  A. Send email to your site administrator. Please include the name of the 
  community and the names and emails of administrators. </p>
<p><b>Q: Is there any documentation for class and community administrators? </b><br>
  A: Please contact your site administrators for access to documentation and 
  other training materials and for information about training sessions. <br>
  <p>
  <b>Q: How do I use the "Add to Outlook" feature for a calendar event?</b> 
  <br>
  A: Both one-time and recurring events can be added to a user's Outlook calendar. 
  On each event description is a link to "synch with Outlook: single event". 
  If it is a recurring event, there will also be a second link, "all events".
  In Internet Explorer, clicking this link brings up an Outlook New Appointment 
  window to save the item. In Netscape, clicking the link brings up a window to 
  choose whether to "Open" or "Save" the file. Select "Open" and then the Outlook New Appointment window 
  will open. The first time this is executed in a Netscape browser session, the user may see an "Unknown File 
  Type" window. Choose "Pick App" and click "OK" when the "Configure External Viewer" window appears. 
  The user is then prompted to "Open" or "Save" the file. Outlook does not need to be 
  open before these steps are executed. </p>
</font> 
